package org.matrix.actuators.move;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * MoveStrategy.
 *
 * @author Matrix <xhyrzldf@gmail.com>
 * @since 2022/3/7 at 3:11 PM
 * Suffering is the most powerful teacher of life.
 */
@AllArgsConstructor
@Getter
public enum MoveStrategy {

    /**
     * 前置动作
     */
    PRE_MOVE("前置动作"),
    /**
     * 中间动作
     */
    MID_MOVE("中间动作"),
    /**
     * 后置动作
     */
    AFT_MOVE("后置动作");

    private  final String des;
}
